Bug 1490571 (CVE-2017-13004)

Summary: CVE-2017-13004 tcpdump: Buffer over-read in print-juniper.c:juniper_parse_header() in Juniper protocols parser
Product: [Other] Security Response Reporter: Adam Mariš <amaris>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: jsynacek, luhliari, mruprich, msehnout, msekleta, mudongliangabcd, security-response-team, thozza
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20170913,reported=20170905,source=upstream,cvss3=6.5/CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H,cwe=CWE-125,rhel-5/tcpdump=wontfix,rhel-6/tcpdump=wontfix,rhel-7/tcpdump=wontfix,fedora-all/tcpdump=affected
Fixed In Version: tcpdump 4.9.2 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-09-13 03:47:11 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 1490633    

Description Adam Mariš 2017-09-11 21:51:28 UTC
Buffer over-read in print-juniper.c:juniper_parse_header() in Juniper protocols parser was found.

This vulnerability can be exploited in two ways. The first is to produce a .pcap file with crafted packet(s) for the protocol(s) concerned and make the target system try to decode the file using tcpdump. The second is to send specially crafted packet(s) to the network segment where the target system is running a tcpdump process that is decoding a live packet capture. In the latter case it depends on the specific network protocol if the crafted packet(s) may be sent from the local segment only or from a remote Internet host.

Comment 1 Adam Mariš 2017-09-11 21:51:31 UTC
Acknowledgments:

Name: the Tcpdump project

Comment 2 Dongliang Mu 2018-03-22 19:02:57 UTC
One external reference should be added :

https://github.com/the-tcpdump-group/tcpdump/commit/b534e304568585707c4a92422aeca25cf908ff02#diff-67c6ce093edba0afa3de6b2a04cd2cce

When we do fuzzing, we generate one simple testcase which makes AddressSanitizer to detect buffer overflow in line 1318 of print-juniper.c (https://github.com/the-tcpdump-group/tcpdump/commit/b534e304568585707c4a92422aeca25cf908ff02#diff-67c6ce093edba0afa3de6b2a04cd2cceR1318)

Comment 3 Dongliang Mu 2018-03-22 20:23:18 UTC
Sorry for the spam. I mixed it with CVE-2017-12993(https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-12993)

Comment 4 Doran Moppert 2018-05-16 02:54:35 UTC
This issue was addressed in Red Hat Enterprise Linux 7 via RHEA-2018:0705, which rebased tcpdump to 4.9.2:

https://access.redhat.com/errata/RHEA-2018:0705